declare type Language = string;
declare type LangsList = Language[];
declare type PluralData = number | Record<string, number | string>;
declare type NestedTreeStructure = string | Record<string, unknown | PluralData>;
declare type TranslateBlock = {
    langs?: LangsList;
    data: NestedTreeStructure;
};

declare type Plural = {
    lang: string;
    getIndex: (num: number) => number;
};

declare function toggleLogError(value: boolean): void;

declare function getNumber(lang: string | number, number?: number, precision?: number): string;

declare function translate(key: string, data?: PluralData): string;
declare function translateByLang(lang: Language, key: string, data?: PluralData): string;
declare function addBlock(block: TranslateBlock): void;

declare function getLang(): string;
declare function setLangs(list: LangsList): void;
declare function setLang(lang: string): void;
declare function setDefaultLanguage(lang: string): void;
declare function addPlural(plu: Plural | Plural[]): void;

export { addBlock, addPlural, getLang, getNumber, setDefaultLanguage, setLang, setLangs, toggleLogError, translate, translateByLang };
